#!/bin/bash

# Prompt the user for the Prefix value
read -p "Enter the Prefix for the hostname: " Prefix

echo -e "\n---- Generating Traffic for Custom Bot Categories ----\n"
ab -v 0 -q -S -d -c 2 -n 30 -H "cookie:partNumber=wrongValue" -H "User-Agent: PartnerJailBot" "https://$Prefix.appsec-akaed.com/"
sleep 1

ab -v 0 -q -S -d -c 2 -n 30 -H "cookie:partNumber=DWJhAXa22XkL" -H "User-Agent: PartnerJailBot" "https://$Prefix.appsec-akaed.com/"
sleep 1

echo -e "\n---- Generating Traffic for Transparent Bot Detections ----\n"
ab -v 0 -q -S -d -c 2 -n 30 -H "User-Agent: BaiduSpider" "https://$Prefix.appsec-akaed.com/"
sleep 1

for i in `seq 1 30`; do
  echo -ne "\r$i/30"
  sleep 1
  curl -s -S "https://$Prefix.appsec-akaed.com/" \
  -H 'user-agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.193 Safari/537.36' \
  -H 'task: Browser Impersonator' \
  --compressed \
  -o /dev/null;
  
  curl -s -S "https://$Prefix.appsec-akaed.com/robots.txt" \
  -A 'Googlebot' \
  -H 'task: transparent bots v2' \
  --compressed \
  -o /dev/null;
done

echo "Finished"